org.eclipse.emf.cdo.server.security

## Interface ISecurityManager

- All Superinterfaces:
    SecurityItemContainer, SecurityItemProvider
  All Known Subinterfaces:
    InternalSecurityManager

      public interface ISecurityManager
      extends SecurityItemContainer

  Protects a given `repository`.
  Author:
    Eike Stepper
  See Also:
    `SecurityManagerUtil.createSecurityManager(String)`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ISecurityManager.RealmOperation` Modifies a security `realm` in a safe transaction.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SYSTEM_USER_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Realm` | `getRealm()`
    `IRepository` | `getRepository()`
    `void` | `modify(ISecurityManager.RealmOperation operation)`
    `void` | `modify(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)`
    `CDOCommitInfo` | `modifyWithInfo(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)`
    `void` | `read(ISecurityManager.RealmOperation operation)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemContainer

      `addGroup, addRole, addUser, addUser, addUser, removeGroup, removeRole, removeUser, setPassword`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

      `getGroup, getRole, getUser`

- - ### Field Detail

    - #### SYSTEM_USER_ID

          static final java.lang.String SYSTEM_USER_ID

      Since:
        4.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRepository

          IRepository getRepository()

    - #### getRealm

          Realm getRealm()

    - #### read

          void read(ISecurityManager.RealmOperation operation)

      Since:
        4.2

    - #### modify

          void modify(ISecurityManager.RealmOperation operation)

    - #### modify

          void modify(ISecurityManager.RealmOperation operation,
                      boolean waitUntilReadable)

      Since:
        4.2

    - #### modifyWithInfo

          CDOCommitInfo modifyWithInfo(ISecurityManager.RealmOperation operation,
                                       boolean waitUntilReadable)

      Since:
        4.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html